<?php
/**
 *
 */
class SocialModule extends CWebModule
{
    /**
     * @var string email used for mailsending
     */
    public $mailsendingEmail;

    private $_assetsUrl;

    /**
     * Import dependent classes
     *
     * @return void
     */
    public function init()
    {
        // import the module-level models and components
        $this->setImport(
            array(
                'social.models.*',
            )
        );
    }

    /**
     * Publish module assets and return url
     *
     * @return string
     */
    public function getAssetsUrl()
    {
        if (!$this->_assetsUrl) {
            $this->_assetsUrl = Yii::app()->assetManager->publish(Yii::getPathOfAlias('social.assets'), true);
        }
        return $this->_assetsUrl;
    }

    /**
     * Translates a message to the specified language.
     *
     * @param string $str    message
     * @param array  $params params
     * @param string $dic    dictionary
     *
     * @return string
     */
    public static function t($str = '', $params = array(), $dic = 'core')
    {
        return Yii::t("SocialModule." . $dic, $str, $params);
    }

    public function createMailsendingUrl()
    {
        return Yii::app()->createUrl('/social/mailsending', array('link' => Yii::app()->createAbsoluteUrl(Yii::app()->request->getRequestUri()), 'lang' => Yii::app()->language));
    }
}
